Update Mcp Server

Update Mcp Server
Update an existing MCP server configuration.

This method allows you to update a previously created MCP server configuration using its ID.

It is sufficient to provide the fields that should be changed. To reset/remove a property from the MCP server, use the null value.

Updating tool filter criteria for an MCP server may result in unlinking related tools from one or more Knowledge Bases.

Request
URI
PATCH
https://{api_host}/api/v1/control/mcp-servers/{mcp_server_id}
COPY
Path Parameters
string
mcp_server_id
Required  

mcp_server_id


Request Body
McpServerUpdateRequest of type(s) application/json
Required  
{
    "name": "string",
    "description": "string",
    "documentation_url": "string",
    "headers": [
        {
            "name": "string",
            "value": "string",
            "is_secret": false
        }
    ],
    "url": "string",
    "transport": "string",
    "verify_tls": "string"
}
string
name
Optional

Name of the MCP server.

string
description
Optional

Description of the MCP server.

string As uri As uri
documentation_url
Optional
Constraints: minLength: 1

The location of the MCP server's API documentation.

array of object
headers
Optional

A list of HTTP headers for the MCP server.

string As uri As uri
url
Optional
Constraints: minLength: 1

Base URL to access the MCP server.

transport
Optional

Transport protocol to use to communicate with the MCP server.

string
verify_tls
Optional

TLS verification mode used when connecting to the MCP server.

Enumeration: VERIFY_FULL, DISABLE
Authentication
This operation uses the following authentication methods.
Responses
200

Successful Response

Returns McpServer of type(s) application/json
{
    "name": "string",
    "description": "string",
    "documentation_url": "string",
    "url": "string",
    "transport": "string",
    "id": "string",
    "object": "string",
    "created_at": 0,
    "availability": "string",
    "last_available_at": 0,
    "last_updated_at": 0,
    "verify_tls": "string"
}
string
name
Optional

Name of the MCP server.

string
description
Optional

Description of the MCP server.

string As uri As uri
documentation_url
Optional
Constraints: minLength: 1

The location of the MCP server's API documentation.

string As uri As uri
url
Required  
Constraints: minLength: 1

Base URL to access the MCP server.

string
transport
Required  

MCP server communication transport protocol

Enumeration: STREAMABLE_HTTP, SSE
string As uuid As uuid
id
Required  

id

string
object
Optional
Constraints: default: mcp_server

Object type, which is always mcp_server.

integer
created_at
Required  

Unix timestamp (in seconds) when the MCP server entry was created.

string
availability
Required  

Availability status of an MCP server.

Enumeration: AVAILABLE, UNAVAILABLE, PENDING
integer
last_available_at
Required  

Unix timestamp (in seconds) when the MCP server was reachable.

integer
last_updated_at
Required  

Unix timestamp (in seconds) when the MCP server entry was last updated.

string
verify_tls
Required  

TLS verification mode used when connecting to the MCP server.

Enumeration: VERIFY_FULL, DISABLE

404

Invalid MCP server ID.

Operation doesn't return any data structure

422

Validation Error

Returns HTTPValidationError of type(s) application/json
{
    "detail": [
        {
            "loc": [
                {}
            ],
            "msg": "string",
            "type": "string",
            "ctx": {}
        }
    ]
}
array of object
detail
Optional

detail


Code Samples
COPY
                    curl -X PATCH -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}'